Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_AV_TCP_Flow_Handler Class Reference

`#include <TCP.h>`

Inheritance diagram for TAO_AV_TCP_Flow_Handler:

[legend]
Collaboration diagram for TAO_AV_TCP_Flow_Handler:

[legend]
List of all members.

## Public Methods
| TAO_AV_TCP_Flow_Handler (TAO_AV_Callback *callback=0)
virtual | ~TAO_AV_TCP_Flow_Handler (void)
virtual TAO_AV_Transport * | transport (void)
| get the transport. More...
virtual int | open (void *=0)
virtual int | handle_input (ACE_HANDLE fd)
virtual int | handle_timeout (const ACE_Time_Value &tv, const void *arg=0)
| Handle timeout. called from reactor. More...
virtual ACE_Event_Handler * | event_handler (void)
| get the underlying event handler. To be overridden by the derived clases. More...
## Protected Attributes
TAO_AV_Core * | av_core_

## Constructor & Destructor Documentation

TAO_AV_TCP_Flow_Handler::TAO_AV_TCP_Flow_Handler | ( | TAO_AV_Callback * | callback = 0 | ) |

TAO_AV_TCP_Flow_Handler::~TAO_AV_TCP_Flow_Handler | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual ACE_Event_Handler* TAO_AV_TCP_Flow_Handler::event_handler | ( | void |  | ) | `[inline, virtual]`

| get the underlying event handler. To be overridden by the derived clases. Reimplemented from TAO_AV_Flow_Handler.

int TAO_AV_TCP_Flow_Handler::handle_input | ( | ACE_HANDLE | fd | ) | `[virtual]`

| Reimplemented from ACE_Event_Handler.

int TAO_AV_TCP_Flow_Handler::handle_timeout | ( | const ACE_Time_Value & | tv,
|  | const void * | arg = 0
| ) | `[virtual]`

| Handle timeout. called from reactor. Reimplemented from TAO_AV_Flow_Handler.

int TAO_AV_TCP_Flow_Handler::open | ( | void * | a = 0 | ) | `[virtual]`

| Reimplemented from ACE_Task_Base.

TAO_AV_Transport * TAO_AV_TCP_Flow_Handler::transport | ( | void |  | ) | `[virtual]`

| get the transport. Reimplemented from TAO_AV_Flow_Handler.

## Member Data Documentation

TAO_AV_Core* TAO_AV_TCP_Flow_Handler::av_core_`[protected]`

The documentation for this class was generated from the following files:

- TCP.h
- TCP.cpp